com.opensymphony.xwork2.interceptor

## Class LoggingInterceptor

- java.lang.Object
- - com.opensymphony.xwork2.interceptor.AbstractInterceptor
  - - com.opensymphony.xwork2.interceptor.LoggingInterceptor

- All Implemented Interfaces:
    ConditionalInterceptor, Interceptor, Serializable

      public class LoggingInterceptor
      extends AbstractInterceptor

  This interceptor logs the start and end of the execution an action (in English-only, not internationalized).
  Note:: This interceptor will log at `INFO` level.

  There are no parameters for this interceptor. There are no obvious extensions to the existing interceptor.

       <!-- prints out a message before and after the immediate action execution -->
       <action name="someAction" class="com.examples.SomeAction">
           <interceptor-ref name="completeStack"/>
           <interceptor-ref name="logger"/>
           <result name="success">good_result.ftl</result>
       </action>

       <!-- prints out a message before any more interceptors continue and after they have finished -->
       <action name="someAction" class="com.examples.SomeAction">
           <interceptor-ref name="logger"/>
           <interceptor-ref name="completeStack"/>
           <result name="success">good_result.ftl</result>
       </action>

  Author:
    Jason Carreira
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggingInterceptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `intercept(ActionInvocation invocation)` Override to handle interception

    - ### Methods inherited from class com.opensymphony.xwork2.interceptor.AbstractInterceptor

      `destroy, init, setDisabled, shouldIntercept`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggingInterceptor

          public LoggingInterceptor()

  - ### Method Detail

    - #### intercept

          public String intercept(ActionInvocation invocation)
                           throws Exception

      Description copied from class: `AbstractInterceptor`
      Override to handle interception
      Specified by:
        `intercept` in interface `Interceptor`
      Specified by:
        `intercept` in class `AbstractInterceptor`
      Parameters:
        `invocation` - the action invocation
      Returns:
        the return code, either returned from `ActionInvocation.invoke()`, or from the interceptor itself.
      Throws:
        `Exception` - any system-level error, as defined in `Action.execute()`.

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.